---
updatedAt: 2026-11-13T09:47:07.000Z
agentTools:
  projectIndex: https://docs.coinone.co.kr/llms.txt
---

# 오더북 조회

특정 종목의 오더북 정보 조회 (호가 단위 별)

<small>요청 제한: Public API 전체 합산 분당 1,200회 · IP 기준 · <a href="/docs/rate-limit">자세히 보기</a></small>

## Path Params

| 필드               | 타입     | 필수 | 설명                         |
| ---------------- | ------ | -- | -------------------------- |
| quote\_currency  | String | 필수 | 마켓 기준 통화<br />\*예: KRW     |
| target\_currency | String | 필수 | 조회하려는 종목의 심볼<br />\*예: BTC |

## Query Params

| 필드                | 타입     | 필수 | 설명                                                                                                                    |
| :---------------- | :----- | :- | :-------------------------------------------------------------------------------------------------------------------- |
| size              | Enum   | 선택 | 오더북 개수<br />(5, 10, 15, 16) 4개 값만 허용. 그 외 값은 107 에러를 반환합니다.<br />기본값: 15                                              |
| order\_book\_unit | Number | 선택 | 모아보기 단위로 종목 정보 조회 응답의 order\_book\_unit 값을 사용<br />Market API의 order\_book\_units 값 사용. 아닐경우, 표준 오더북 반환<br />기본값: 0.0 |

## Response Body

| 필드                | 타입             | 설명                                         |
| :---------------- | :------------- | :----------------------------------------- |
| result            | String         | 정상 반환 시 success, 에러 코드 반환 시 error          |
| error\_code       | String         | error 발생 시 에러코드 반환, 성공인 경우 0 반환            |
| timestamp         | Number         | 오더북의 최근 업데이트 시간 (ms)                       |
| id                | String         | order book id 값, id 값이 클수록 최신 OrderBook 정보 |
| quote\_currency   | String         | 마켓 기준 통화                                   |
| target\_currency  | String         | 조회 요청한 종목                                  |
| order\_book\_unit | NumberString   | 현재 오더북 단위                                  |
| bids              | Array\[Object] | 매수 오더북 정보                                  |
| bids\[].price     | NumberString   | 매수 호가                                      |
| bids\[].qty       | NumberString   | 매수 수량                                      |
| asks              | Array\[Object] | 매도 오더북 정보                                  |
| asks\[].price     | NumberString   | 매도 호가                                      |
| asks\[].qty       | NumberString   | 매도 수량                                      |

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "public-api",
    "version": "1.7"
  },
  "servers": [
    {
      "url": "https://api.coinone.co.kr"
    }
  ],
  "security": [
    {}
  ],
  "paths": {
    "/public/v2/orderbook/{quote_currency}/{target_currency}": {
      "get": {
        "summary": "오더북 조회",
        "description": "특정 종목의 오더북 정보 조회 (호가 단위 별)",
        "operationId": "orderbook",
        "parameters": [
          {
            "name": "quote_currency",
            "in": "path",
            "description": "마켓 기준 통화",
            "schema": {
              "type": "string",
              "default": "KRW"
            },
            "required": true
          },
          {
            "name": "target_currency",
            "in": "path",
            "description": "조회하려는 종목의 심볼",
            "schema": {
              "type": "string",
              "default": "BTC"
            },
            "required": true
          },
          {
            "name": "size",
            "in": "query",
            "description": "조회 하려는 오더북 개수 (기본값: 15)",
            "schema": {
              "type": "string",
              "enum": [
                "5",
                "10",
                "15",
                "16"
              ],
              "default": "15"
            }
          },
          {
            "name": "order_book_unit",
            "in": "query",
            "description": "Market API의 order_book_units 값 사용. 아닐경우, 표준 오더북 반환",
            "schema": {
              "type": "number",
              "default": ""
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"result\": \"success\",\n  \"error_code\": \"0\",\n  \"timestamp\": 1644488410702,\n  \"id\": \"1644488410702001\",\n  \"quote_currency\": \"KRW\",\n  \"target_currency\": \"BTC\",\n  \"order_book_unit\": \"1000.0\",\n  \"bids\": [\n    {\n      \"price\": \"75862000\",\n      \"qty\": \"0.5\"\n    },\n    {\n      \"price\": \"75860000\",\n      \"qty\": \"0.5\"\n    },\n    {\n      \"price\": \"75859000\",\n      \"qty\": \"0.5\"\n    },\n    {\n      \"price\": \"75857000\",\n      \"qty\": \"0.5\"\n    },\n    {\n      \"price\": \"75855000\",\n      \"qty\": \"0.5\"\n    }\n  ],\n  \"asks\": [\n    {\n      \"price\": \"75863000\",\n      \"qty\": \"22.5\"\n    },\n    {\n      \"price\": \"75865000\",\n      \"qty\": \"22\"\n    },\n    {\n      \"price\": \"75867000\",\n      \"qty\": \"11\"\n    },\n    {\n      \"price\": \"75869000\",\n      \"qty\": \"23\"\n    },\n    {\n      \"price\": \"75871000\",\n      \"qty\": \"24\"\n    }\n  ]\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "result": {
                      "type": "string",
                      "example": "success"
                    },
                    "error_code": {
                      "type": "string",
                      "example": "0"
                    },
                    "timestamp": {
                      "type": "integer",
                      "example": 1644488410702,
                      "default": 0
                    },
                    "id": {
                      "type": "string",
                      "example": "1644488410702001"
                    },
                    "quote_currency": {
                      "type": "string",
                      "example": "KRW"
                    },
                    "target_currency": {
                      "type": "string",
                      "example": "BTC"
                    },
                    "order_book_unit": {
                      "type": "string",
                      "example": "1000.0"
                    },
                    "bids": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "price": {
                            "type": "string",
                            "example": "75862000"
                          },
                          "qty": {
                            "type": "string",
                            "example": "0.5"
                          }
                        }
                      }
                    },
                    "asks": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "price": {
                            "type": "string",
                            "example": "75863000"
                          },
                          "qty": {
                            "type": "string",
                            "example": "22.5"
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```